<?php


//ini_set('display_errors',1);

session_start();
require_once ("../../config/Cado.php");
require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once("../producto/cProducto.php");
$oProducto = new cProducto();

require_once("../tipocambio/cTipocambio.php");
$oTipocambio = new ctipocambio();
require_once ("../venta/cVenta.php");
$oVenta = new cVenta();
require_once ("../stock/cStock.php");
$oStock = new cStock();

require_once("../almacen/cAlmacen.php");
$oAlmacen = new cAlmacen();

$fecha = date('Y-m-d');
require_once ("../formatos/formato.php");



if($_POST['action']=='agregaritems'){
	
	// echo '.-----';
	
	$dts1=$oVenta->mostrar_venta_detalle($_POST['ven_id']);
	$num_rowsv= mysqli_num_rows($dts1);
	
	while($dt1 = mysqli_fetch_array($dts1))
    {
		//echo '.-----';
		$_SESSION['notacredito_pronom'][$dt1['tb_catalogo_id'].$dt1['tb_marca_id'].$dt1['tb_especificacion_id'].$dt1['tb_especificacionimei_id']]=  $dt1['tb_ventadetalle_nom'];
		$_SESSION['notacredito_catid'][$dt1['tb_catalogo_id'].$dt1['tb_marca_id'].$dt1['tb_especificacion_id'].$dt1['tb_especificacionimei_id']]= $dt1['tb_catalogo_id'];
		$_SESSION['notacredito_marid'][$dt1['tb_catalogo_id'].$dt1['tb_marca_id'].$dt1['tb_especificacion_id'].$dt1['tb_especificacionimei_id']]= $dt1['tb_marca_id'];
		$_SESSION['notacredito_espid'][$dt1['tb_catalogo_id'].$dt1['tb_marca_id'].$dt1['tb_especificacion_id'].$dt1['tb_especificacionimei_id']]= $dt1['tb_especificacion_id'];
		$_SESSION['notacredito_can'][$dt1['tb_catalogo_id'].$dt1['tb_marca_id'].$dt1['tb_especificacion_id'].$dt1['tb_especificacionimei_id']]= $dt1['tb_ventadetalle_can'];
		$_SESSION['notacredito_imei'][$dt1['tb_catalogo_id'].$dt1['tb_marca_id'].$dt1['tb_especificacion_id'].$dt1['tb_especificacionimei_id']]= $dt1['tb_especificacionimei_nom'];
		$_SESSION['notacredito_imei_id'][$dt1['tb_catalogo_id'].$dt1['tb_marca_id'].$dt1['tb_especificacion_id'].$dt1['tb_especificacionimei_id']]= $dt1['tb_especificacionimei_id'];
		$_SESSION['notacredito_preven'][$dt1['tb_catalogo_id'].$dt1['tb_marca_id'].$dt1['tb_especificacion_id'].$dt1['tb_especificacionimei_id']]= $dt1['tb_ventadetalle_preuni'];
	
	}
	
	$data['est']="1";
	$data['msj']="Items de la venta";
	
	echo json_encode($data);
	
	
	
}






if($_POST['action']=='agregar')
{
	

	if($_POST['cat_preven']>0)
	{
			
		$_SESSION['notacredito_preven'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= moneda_mysql($_POST['cat_preven']);		
		$_SESSION['notacredito_pronom'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]=  $_POST['pronom'];
		$_SESSION['notacredito_catid'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= $_POST['cat_id'];
		$_SESSION['notacredito_marid'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= $_POST['mar_id'];
		$_SESSION['notacredito_espid'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= $_POST['esp_id'];
		$_SESSION['notacredito_can'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= $_POST['cat_can'];
		$_SESSION['notacredito_imei'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= $_POST['imei'];
		$_SESSION['notacredito_imei_id'][$_POST['cat_id'].$_POST['mar_id'].$_POST['esp_id'].$_POST['imei_id']]= $_POST['imei_id'];
		
		$data['est']="1";
		$data['msj']="Agregado correctamente.";
	
	}
	else
	{
		
		$data['est']="0";
		$data['msj']="Ingrese precio.";

	}
	
	echo json_encode($data);
	
}


if($_POST['action']=='quitar')
{
	unset($_SESSION['notacredito_catid'][$_POST['cat_id']]);
	unset($_SESSION['notacredito_marid'][$_POST['cat_id']]);
	unset($_SESSION['notacredito_pronom'][$_POST['cat_id']]);
	unset($_SESSION['notacredito_espid'][$_POST['cat_id']]);
	unset($_SESSION['notacredito_imei'][$_POST['cat_id']]);
	unset($_SESSION['notacredito_imei_id'][$_POST['cat_id']]);
	unset($_SESSION['notacredito_can'][$_POST['cat_id']]);
	unset($_SESSION['notacredito_preven'][$_POST['cat_id']]);
	
	$data['est']="1";
	$data['msj']="Item quitado";
		
	echo json_encode($data);
}


if($_POST['action']=='restablecer')
{
	unset($_SESSION['notacredito_catid']);
	unset($_SESSION['notacredito_marid']);
	unset($_SESSION['notacredito_pronom']);
	unset($_SESSION['notacredito_espid']);
	unset($_SESSION['notacredito_imei']);
	unset($_SESSION['notacredito_imei_id']);
	unset($_SESSION['notacredito_can']);
	unset($_SESSION['notacredito_preven']);
	
	$data['est']="0";
	$data['msj']="Restablecido";
		
	echo json_encode($data);
}

?>